------------------------------------------------------------------------------------
--Name:  	juqing3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-10-25
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(170, 77)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:SetViewScale(150)
local npc_0 = CppScriptMgr:AddSimplePlayer(1062467, 178, 85, "", 0, 0)
npc_0:SetZoomPercent(300)
npc_0:SetDir(7)
local effect_2 = CppScriptMgr:AddEffect("QiFuLev3", 178, 85, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1280)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 178, 85, 33, 1, 1, 1)
effect_0:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(240)
npc_0:SetAction(1111)
CppScriptMgr:WaitMilSec(1480)
CppScriptMgr:NpcCallOut("Fervent wishes will awaken the slumbering messenger.", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Harvest Messenger", 250, 655, false)
CppScriptMgr:WaitMilSec(2500)
CppScriptMgr:NpcCallOut("My child, cast the Fertility Seeds and make a wish!", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Harvest Messenger", 250, 655, false)
CppScriptMgr:WaitMilSec(4500)